function LIST = mycorrnames(THIS)
% mycorrnames  [Not a public function] List of primary names for correlation coefficients (lower triangular).
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

elist = THIS.name(THIS.nametype == 3);
ne = length(elist);
LIST = {};
for i = 2 : ne
    for j = 1 : i-1
        LIST{end+1} = sprintf('corr_%s__%s',elist{i},elist{j}); %#ok<AGROW>
    end
end

end